<div class="">
  <div
    id="hideBottomInput"
    class="flex flex-wrap justify-between items-center mb-4"
  >
    <div class="mb-2 lg:mb-0">
      <h4 class="text-lg font-semibold text-content-main">Summary</h4>
      <p class="text-gray-500 text-xs">{{currentDate}}</p>
    </div>

    <div class="flex flex-wrap gap-2 items-center justify-end">
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-fulldisabled:bg-gray-200"
        :class="timeActive === 'Today' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Today')"
        :disabled="disabledButtonDate == true"
      >
        Today
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-full disabled:bg-gray-200"
        :class="timeActive === 'Yesterday' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Yesterday')"
        :disabled="disabledButtonDate == true"
      >
        Yesterday
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-full disabled:bg-gray-200"
        :class="timeActive === 'This week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This week')"
        :disabled="disabledButtonDate == true"
      >
        This week
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-fulldisabled:bg-gray-200"
        :class="timeActive === 'This month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This month')"
        :disabled="disabledButtonDate == true"
      >
        This month
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-full disabled:bg-gray-200"
        :class="timeActive === 'Last month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('Last month')"
        :disabled="disabledButtonDate == true"
      >
        Last month
      </button>
      <button
        class="rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center !max-w-[100px] w-fulldisabled:bg-gray-200"
        :class="timeActive === 'This year' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
        @click="onFilterByTime('This year')"
        :disabled="disabledButtonDate == true"
      >
        This year
      </button>
      <div class="!max-w-[250px] w-full">
        <v-menu
          v-model="dateEndPicker"
          :nudge-left="80"
          nudge-bottom="10px"
          style="position: relative; z-index: 999"
          :close-on-content-click="false"
          transition="scale-transition"
          offset-y
          min-width="auto"
        >
          <template v-slot:activator="{ on, attrs }">
            <v-text-field
              v-model="dateRangeText"
              dense
              readonly
              v-bind="attrs"
              v-on="on"
              class="bg-white border border-1 px-4 py-1 min-w-[250px] mt-0"
              prepend-inner-icon="mdi-calendar-blank"
            >
            </v-text-field>
          </template>
          <v-date-picker
            v-model="dateArr"
            style="position: relative; z-index: 999"
            range
          >
            <v-spacer></v-spacer>
            <v-btn text color="primary" @click="dateEndPicker = false">
              Cancel
            </v-btn>
            <v-btn text color="primary" @click="onSearchByDate()"> OK </v-btn>
          </v-date-picker>
        </v-menu>
      </div>
      <div class="d-flex align-center">
        <div>
          <v-btn
            height="34px"
            color="#ffffff"
            id="buttonHover"
            @click="onRefresh()"
            class="elevation-0 mt-lg-0.5 mb-2 mb-lg-0"
          >
            <div>
              <v-icon> mdi-reload </v-icon>
            </div>
          </v-btn>
        </div>
      </div>
    </div>
  </div>
  <div class="my-4">
    <div class="grid md:grid-cols-4 grid-cols-2 gap-2">
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-sm font-medium mb-2" style="color: #212b36">
          Sales from Marketing
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="text-xl text-gray-900 mb-0">
          ${{stats.revenue && $utils.formatCurrencyFloat(stats.revenue)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-sm font-medium mb-2" style="color: #212b36">
          Orders from Marketing
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="text-xl text-gray-900 mb-0">
          {{stats.orders && $utils.formatCurrencyFloat(stats.orders)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-sm font-medium mb-2" style="color: #212b36">
          Orders Cost
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="text-xl text-gray-900 mb-0">
          ${{stats.productCost &&
          $utils.formatCurrencyFloat(stats.productCost)}}
        </p>
      </div>
      <div class="bg-white rounded-md border border-1 border-gray-200 p-4">
        <p class="lg:text-base text-sm font-medium mb-2" style="color: #212b36">
          Conversion Rate
        </p>
        <div style="width: 81px; height: 32px" v-if="loadingStats">
          <v-skeleton-loader width="100%" height="100%" type="card">
          </v-skeleton-loader>
        </div>
        <p v-else class="text-xl text-gray-900 mb-0">
          {{stats.conversionRate}}%
        </p>
      </div>
    </div>
  </div>

  <v-tabs
    v-model="tab"
    background-color="transparent"
    color="basil"
    class="mt-3"
    center-active
    show-arrows
  >
    <v-tabs-slider color="#076ce3"></v-tabs-slider>
    <v-tab class="text-none">
      <div class="flex items-center">
        <v-icon size="24" class="mr-2"> mdi-history </v-icon>
        <p class="text-sm font-semibold">Recent Marketing</p>
      </div>
    </v-tab>
    <v-tab class="text-none">
      <div class="flex items-center">
        <v-icon size="24" class="mr-2"> mdi-poll </v-icon>
        <p class="text-sm font-semibold">Realtime Analytics</p>
      </div>
    </v-tab>
    <v-tab class="text-none">
      <div class="flex items-center">
        <v-icon size="24" class="mr-2"> mdi-trending-up </v-icon>
        <p class="text-sm font-semibold">Revenue</p>
      </div>
    </v-tab>
  </v-tabs>
  <v-divider></v-divider>
  <v-tabs-items touchless v-model="tab">
    <v-tab-item>
      <v-card color="basil" flat class="px-4 pt-4 pb-6">
        <RecentMarketing :loadingTableRecent="loadingTableRecent" />
      </v-card>
    </v-tab-item>
    <v-tab-item class="px-4 pt-4 pb-6">
      <RealtimeAnalytics :loadingTable="loadingTableRealTime" />
    </v-tab-item>
    <v-tab-item class="px-4 pb-6 pt-0">
      <Revenue />
    </v-tab-item>
  </v-tabs-items>
</div>
